
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>mysql sql_mode 汇总整理 / iVAN</title>

    <meta name="description" content="mysql sql_mode 汇总整理 -- ANSI 使sql符合标准sql This mode changes syntax and behavior to conform more closely to standard SQL -- STRICT_TRANS_TABLES 如果事务语句有错,则使事务失败 If a value could not be inserted as given into a transactional table, abort the statement -- TRADITIONAL 使用error替">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">mysql sql_mode 汇总整理</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<pre><code>-- ANSI 使sql符合标准sql
This mode changes syntax and behavior to conform more closely to standard SQL

-- STRICT_TRANS_TABLES 如果事务语句有错，则使事务失败
If a value could not be inserted as given into a transactional table, abort the statement

-- TRADITIONAL 使用error替代warning
this mode is “give an error instead of a warning” when inserting an incorrect value into a column

-- ALLOW_INVALID_DATES 允许非法日期
Do not perform full checking of dates. Check only that the month is in the range from 1 to 12 and the day is in the range from 1 to 31
This mode applies to DATE and DATETIME columns. It does not apply TIMESTAMP columns, which always require a valid date
With strict mode disabled, invalid dates such as '2004-04-31' are converted to '0000-00-00' and a warning is generated. With strict mode enabled, invalid dates generate an error.

-- ANSI_QUOTES 使双引号当在一个标识符，而不 是一个字符串标识
Treat "" as an identifier quote character (like the "`" quote character) and not as a string quote character
--启用 ANSI_QUOTES 表名加双引号正常执行
mysql&gt;  SET sql_mode='ANSI_QUOTES';
Query OK, 0 rows affected (0.01 sec)
mysql&gt; select "id",id from "t" limit 3;
+----+----+
| id | id |
+----+----+
|  1 |  1 |
|  2 |  2 |
+----+----+
3 rows in set (0.00 sec
--关闭 ANSI_QUOTES 表名加双引报错
mysql&gt;  SET sql_mode='STRICT_TRANS_TABLES,NO_ENGINE_SUBSTITUTION';
Query OK, 0 rows affected, 1 warning (0.00 sec)
mysql&gt; select "id",id from "t" limit 10;
ERROR 1064 (42000): You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '"t" limit 10' at line 1

-- ERROR_FOR_DIVISION_BY_ZERO 决定被0整除是后的行为?
If this mode is not enabled, division by zero inserts NULL and produces no warning.
If this mode is enabled, division by zero inserts NULL and produces a warning.
If this mode and strict mode are enabled, division by zero produces an error, unless IGNORE is given as well. For INSERT IGNORE and UPDATE IGNORE, division by zero inserts NULL and produces a warning.

-- HIGH_NOT_PRECEDENCE 控制 not 的优化级
The precedence of the NOT operator is such that expressions such as NOT a BETWEEN b AND c are parsed as NOT (a BETWEEN b AND c)
mysql&gt; SET sql_mode = '';
mysql&gt; SELECT NOT 1 BETWEEN -5 AND 5;
-&gt; 0
mysql&gt; SET sql_mode = 'HIGH_NOT_PRECEDENCE';
mysql&gt; SELECT NOT 1 BETWEEN -5 AND 5;
-&gt; 1

-- NO_AUTO_CREATE_USER 阻止grant自动创建用户，如果没有提供密码或空密码是不认的
Prevent the GRANT statement from automatically creating new user accounts if it would otherwise do so, unless authentication information is specified
The statement must specify a nonempty password using IDENTIFIED BY or an authentication plugin using IDENTIFIED WITH

-- NO_AUTO_VALUE_ON_ZERO 当插入null或0者是否对 AUTO_INCREMENT 产生下一个值
NO_AUTO_VALUE_ON_ZERO affects handling of AUTO_INCREMENT columns. Normally, you generate the next sequence number for the column by inserting either NULL or 0 into it.
NO_AUTO_VALUE_ON_ZERO suppresses this behavior for 0 so that only NULL generates the next sequence number.

-- NO_DIR_IN_CREATE 在创建表或索引时是否忽略目录参数，注意如果主从的目录结构不同，则可使用此参数
When creating a table, ignore all INDEX DIRECTORY and DATA DIRECTORY directives. This option is useful on slave replication servers.

-- NO_ENGINE_SUBSTITUTION 当创建表或修改表时使用了一个非法或disable的存储引擎时，是否使用其它替代的引擎
Control automatic substitution of the default storage engine when a statement such as CREATE TABLE or ALTER TABLE specifies a storage engine that is disabled or not compiled in

-- NO_ZERO_DATE 控制00是否可做为一个日期类型
The NO_ZERO_DATE mode affects whether the server permits '0000-00-00' as a valid date. Its effect also depends on whether strict SQL mode is enabled.
If this mode is not enabled, '0000-00-00' is permitted and inserts produce no warning.
If this mode is enabled, '0000-00-00' is permitted and inserts produce a warning.
If this mode and strict mode are enabled, '0000-00-00' is not permitted and inserts produce an error,
unless IGNORE is given as well. For INSERT IGNORE and UPDATE IGNORE, '0000-00-00' is permitted and inserts produce a warning.

-- NO_ZERO_IN_DATE 控制在年份不为0，但月或天是否可为0，影响如上
The NO_ZERO_IN_DATE mode affects whether the server permits dates in which the year part is nonzero but the month or day part is 0

-- ONLY_FULL_GROUP_BY 使group操作符合标准聚合操作
Reject queries for which the select list, HAVING condition, or ORDER BY list refer to nonaggregated columns that are neither named in the GROUP BY clause nor are functionally dependent on (uniquely determined by) GROUP BY columns

-- PIPES_AS_CONCAT 使双竖线成为连接符，类似于postgresql和oracle中的||
Treat || as a string concatenation operator (same as CONCAT()) rather than as a synonym for OR.

-- STRICT_ALL_TABLES 使严格模式使用于所有的表，非法数据被拒绝，推荐启用
Enable strict SQL mode for all storage engines. Invalid data values are rejected

-- STRICT_TRANS_TABLES 使严格事务模式使用于所有的存储引擎，推荐启用
Enable strict SQL mode for transactional storage engines, and when possible for nontransactional storage engines

-- mysql还针对不同的数据库提供了组合模式
ANSI,DB2,ORACLE,POSTGRESQL,MSSQL
</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:29:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%95%b0%e6%8d%ae%e5%ba%93rds/" title="云数据库RDS">云数据库RDS</a>, <a href="https://www.iamivan.net/tag/mysql_sql_mode/" title="mysql&lowbar;sql&lowbar;mode">mysql&lowbar;sql&lowbar;mode</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>mysql sql_mode 汇总整理的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEWPZqp.html" rel="bookmark">MySQL sql&lowbar;mode 说明（及处理一起 sql&lowbar;mode 引发的问题）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. MySQL莫名变成了 Strict SQL Mode 最近测试组那边反应数据库部分写入失败,app层提示是插入成功,但表里面里面没有产生数据,而两个写入操作的另外一个表有数据.因为 insert 失败在数据库层面是看不出来的,于是找php的同事看下错误信息: [Err] 1364 - Field `f_company_id` doesn't have a default value 很明显2个 insert 操作,第一条成功,第二条失败了,但因为没有控制在一个事务当中,导致app里面依然提			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkRdrp.html" rel="bookmark">汇总整理MYSQL相关操作命令&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				测试环境:mysql 5.0.45 [注:可以在mysql中通过mysql&gt; SELECT VERSION();来查看数据库版本] 一.连接MYSQL. 格式: mysql -h主机地址 -u用户名 -p用户密码 1.连接到本机上的MYSQL. 首先打开DOS窗口,然后进入目录mysql\bin,再键入命令mysql -u root -p,回车后提示你输密码.注意用户名前可以有空格也可以没有空格,但是密码前必须没有空格,否则让你重新输入密码. 如果刚安装好MYSQL,超级用户root是没有密码的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze47ZOp.html" rel="bookmark">MySQL的日常整理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				记录工作的点点滴滴: 今天遇到case 1: 在测试机上,start slave 出现&quot;假死&quot;现象,数据库能够连接, show processlist;显示:队列等待master 从错误日志里面看到: 120831 16:20:59 [ERROR] /usr/local/mysql3307/libexec/mysqld: Disk is full writing './mysqld-relay-bin.~rec~' (Errcode: 28). Waiting for someone			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QRkAp.html" rel="bookmark">Node&period;js中JavaScript操作MySQL的常用方法整理&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.建立数据库连接:createConnection(Object)方法      该方法接受一个对象作为参数,该对象有四个常用的属性host,user,password,database.与php中链接数据库的参数相同.属性列表如下: host: 连接数据库所在的主机名. (默认: localhost)  port: 连接端口. (默认: 3306)  localAddress: 用于TCP连接的IP地址. (可选)  socketPath: 链接到unix域的路径.在使用host和port时			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0Zldz.html" rel="bookmark">mysql sql&lowbar;mode&equals;&amp;amp&semi;quot&semi;&amp;amp&semi;quot&semi; 的作用说明&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sql_mode=&quot;&quot;,即强制不设定MySql模式(如不作输入检测.错误提示.语法模式检查等)应该能提高性能,但有如下问题: 如果插入了不合适数据(错误类型或超常),mysql会将数据设为&quot;最好的可能数据&quot;而不报错,如: /数字 设为:0/可能最小值/可能最大值 /字符串 设为:空串/能够存储的最大容量字符串 /表达式 设为:返回一个可用值(1/0-null) 所以,解决办法是:所有列都要采用默认值,这对性能也好. mysql_mode的详细描述: 在mysql 5			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M02X7z.html" rel="bookmark">一些常用的MySQL命令收集整理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL命令行是学习MySQL数据库必须要掌握的知识,下面就为您介绍了10个好用的MySQL命令行,希望对您学习MySQL命令行方面能有所帮助. 1.显示数据表的结构: mysql&gt; DESCRIBE 表名; (DESC 表名) 2.建立数据表: mysql&gt; USE 库名; //进入数据库 mysql&gt; CREATE TABLE 表名 (字段名 VARCHAR(20), 字段名 CHAR(1)); 3.删除数据表: mysql&gt; DROP TABLE 表名; 4.重命名数据表			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvmKwab.html" rel="bookmark">MYSQL 函数汇总</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数值函数: 名字 描述                                                                                                     ABS() 返回数字表达式的绝对值. ACOS() 返回数字表达式的反余弦值.如果值是不在范围-1到1,则返回NULL. ASIN() 返回数字表达式的反正弦.返回NULL,如果值不在范围-1到1 ATAN() 返回数字表达式的反正切. ATAN2() 返回传递给它的两个变量			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqRX7Kp.html" rel="bookmark">MySQL语法大全整理的自学笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				select * from emp; #注释 #--------------------------- #----命令行连接MySql--------- #启动mysql服务器 net start mysql #关闭 net stop mysql #进入 mysql -h 主机地址 -u 用户名 -p 用户密码 #退出 exit #--------------------------- #----MySql用户管理--------- #修改密码:首先在DOS 下进入mysql安装路径的bin目录			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1XDob.html" rel="bookmark">Oracle &amp;amp&semi; mysql的区别整理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.组函数用法规则 mysql中组函数在select语句中可以随意使用,但在oracle中如果查询语句中有组函数,那其他列名必须是组函数处理过的,或者是group by子句中的列否则报错 eg:select name,count(money) from user:这个放在mysql中没有问题在oracle中就有问题了2.自动增长的数据类型处理 MYSQL有自动增长的数据类型,插入记录时不用操作此字段,会自动获得数据值.ORACLE没有自动增长的数据类型,需要建立一个自动增长的序列号,插入记录时要			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6eQWb.html" rel="bookmark" class="title">循环双链表初始化的问题</a>
					<div>
						问题描述 循环双链表初始化的问题 s=(LinkList)malloc(sizeof(Node)); s-&gt;data=a[i]; s-&gt;next=L-&gt;next; if(L-&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr3VVp.html" rel="bookmark" class="title">Jasmine中文指南</a>
					<div>
						jasmine是一款非常流行的测试框架,不依赖任何别的库,语法简单,本文是2.1版本的api中文指南. 运行条件 npm install -g jasmine jasmine JASMINE_CONF ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqgGaz.html" rel="bookmark" class="title">&lbrack;收藏学习&rsqb;gcc和g&plus;&plus;</a>
					<div>
						gcc和g++都是GNU(组织)的一个编译器. 误区一:gcc只能编译c代码,g++只能编译c++代码 两者都可以,但是请注意: 1.后缀为.c的,gcc把它当作是C程序,而g++当作是c++程序:后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVkYDb.html" rel="bookmark" class="title">JSP标准标记库促进了网页的开发</a>
					<div>
						js|标准|网页 Java Server Pages (JSP) 标准标记库 (JSTL)的版本的发布对于JSP/servlet开发者来说是一个重大的进展.有了一个表达语言(EL)和一组四种强大的.易 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXQVAz.html" rel="bookmark" class="title">sqlserver日志文件总结及充满处理</a>
					<div>
						交易日志(Transaction logs)是数据库结构中非常重要但又经常被忽略的部分.由于它并不像数据库中的schema那样活跃,因此很少有人关注交易日志. 交易日志是针对数据库改变所做的记录,它可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyGOZz.html" rel="bookmark" class="title">ASP去掉字符串头尾连续回车和空格的Function</a>
					<div>
						字符串 '去掉字符串头尾的连续的回车和空格function trimVBcrlf(str)trimVBcrlf=rtrimVBcrlf(ltrimVBcrlf(str))end function '去 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5vwmz.html" rel="bookmark" class="title">seo新年年会总结之谋定而后动</a>
					<div>
						过几天就要放假了,迎接一年一度的新春佳节,有多少朋友在担忧过年期间网站不能正常维护呢,有多少朋友在担心网站可能会受到影响呢,不过有一台能上网的电脑这些都不是问题,在这一年中,我们见识了太多太多的风风雨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNBoJM.html" rel="bookmark" class="title">1个月的时间让你的站PR0到PR3百度权重到2</a>
					<div>
						  1个月的时间,让你的站PR0到PR3,百度权重到2,做门户站,换了一个域名,什么都得重0开始,但奇迹终于在我不断的摸索和实践中实现了.一个站6月中旬申请的域名,并启用,在一个2011年8月5日从P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaG2gp.html" rel="bookmark" class="title">面对site和domain首页不在第一位应如何面对</a>
					<div>
						新站长们面对site和domain首页不在第一位的时候,我们应该如何面对,有很多新站长们都开始慌张了,开始糊弄着从自己网站找原因,可是越找越找不到原因在哪里,对于这样情况新站长首先要保持冷静的态度去面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwlx5z.html" rel="bookmark" class="title">三棱镜后看无线：无线网络架构漫谈</a>
					<div>
						还记得阳光通过棱镜的实验吗?白光通过棱镜后被分解成多种颜色逐渐过渡的色谱,颜色依次为红.橙.黄.绿.青.蓝.紫,而这就是可见光谱.很显然,棱镜把混合的事物给细分开来. 现在的无线网络就如同一束白色光, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElRv6z.html" rel="bookmark" class="title">最大化J2EE和数据库交互操作的性能</a>
					<div>
						概述:大多数应用程序性能管理(APM)解决方案都只考虑和分析J2EE应用程序的某个层次的性能问题.这种方法不足以解决架构复杂的应用程序的性能问题.良好的APM工具应该能够让你从J2EE层深入到数据库层 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK6vyp.html" rel="bookmark" class="title">如何隐藏Win7登录界面的administrator用户名</a>
					<div>
						1.Win键+R键打开运行窗口,输入 regedit 并运行,打开注册表编辑器-- 2.定位到: HKEY_LOCAL_MACHINGSOFTWAREMicrosoftWindows NTCurren ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2jaob.html" rel="bookmark" class="title">Python中运算符使用时的优先级</a>
					<div>
						  这篇文章主要介绍了讲解Python中运算符使用时的优先级,是Python学习当中的基础知识,需要的朋友可以参考下 运算符优先级来确定条件的表达式中的分组.这会影响一个表达式如何计算.某些运算符的优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBRGOz.html" rel="bookmark" class="title">Win8系统如何定时运行程序&quest;</a>
					<div>
						1.按下键盘上的组全键盘Win+R打开运行窗口,在打开的运行窗口中输入命令Control Schedtasks. 2.输入完成后按回车键执行命令会打开如下窗口. 3.选择&quot;操作&quot;- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6jjxb.html" rel="bookmark" class="title">&period;e文件打开方式</a>
					<div>
						第1步:一般程序如JAVA写的,都是直接可以以记事本的方法打开,但是我在用记事本打开此方法的时候,发现是乱码. 得出结论:打开软件的方法不对. 第2步:然后使用百度大妈搜索&quot;.e怎么才能打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9E5LkM.html" rel="bookmark" class="title">用Excel获取数据&mdash;&mdash;不仅仅只是打开表格</a>
					<div>
						引言:看到标题,你是否有些困惑?在Excel上具备数据获取的能力是指什么?难道不是把csv格式的表格和Excel格式的表格打开就好了吗?然而并非这样. 本文选自&lt;数据化运营速成手册&gt;. 其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P92qp.html" rel="bookmark" class="title">Spark独立模式</a>
					<div>
						Spark独立模式 Spark除了可以在Mesos和YARN集群上运行之外,还支持一种简单的独立部署模式.独立部署模式下,你既可以手工启动(手动运行master和workers),也可以利用我们提供的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6yyjb.html" rel="bookmark" class="title">ubuntu 卸载python</a>
					<div>
						apt-get remove python					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4WgJz.html" rel="bookmark" class="title">搭建FTP服务器（一）：小进步</a>
					<div>
						昨天晚上经过我8个小时的奋斗,终于把server-u FTP服务器弄的有点 眉目了. 具体操作步骤如下: 1.安装server-u服务器,我安装的server-u 9.2版本的.具体的安装步骤我就不一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZX8LM.html" rel="bookmark" class="title">2017年全球工业控制系统网络安全现状调查</a>
					<div>
						6月18日讯 迫于工业控制系统面临的威胁格局,各国都开始重视ICS的威胁格局.现实世界当中仅出现过三例针对工业控制系统的恶意程序肆虐案例,BlackEnergy(2015年12月被用于乌克兰电网攻击) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjww5NM.html" rel="bookmark" class="title">c语言-在ubuntu下用eclipse编c有问题</a>
					<div>
						问题描述 在ubuntu下用eclipse编c有问题 在编译c语言的时候出现了这样的提示框:Launch failed. Binary not found 这是什么情况啊?请问怎么解决? 解决方案 好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4e4oYb.html" rel="bookmark" class="title">大话存储系列15&mdash;&mdash;NFS 和 CIFS 文件系统</a>
					<div>
						1.NFS 文件系统 本文整理自:http://www.ibm.com/developerworks/cn/linux/l-cn-nfs/index.html?ca=drs- Sun公司估计现在大约有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60JkAz.html" rel="bookmark" class="title">uibutton-iphone-UIButton中的动画gif</a>
					<div>
						问题描述 iphone-UIButton中的动画gif 我写的代码运行之后,160*148尺寸的图片变的非常大,全屏了-- UIImageView* animatedImageView = [[UII ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBke6z.html" rel="bookmark" class="title">高可用Hadoop平台－探索</a>
					<div>
						1.概述 上篇&lt;高可用Hadoop平台-启航&gt;博客已经让我们初步了解了Hadoop平台:接下来,我们对Hadoop做进一步的探索,一步一步的揭开Hadoop的神秘面纱.下面,我们开始赘述今 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmV64qz.html" rel="bookmark" class="title">福建成为互联网应用大省 域名总数已超百万</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 日前,记者从福建省信息化局获悉,由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLEgvM.html" rel="bookmark" class="title">Python压缩和解压缩zip文件&lowbar;python</a>
					<div>
						zip文件是我们经常使用的打包格式之一,python解压和压缩zip效率非凡. python解压zip文档: 复制代码 代码如下: #/usr/bin/python #coding=utf-8 imp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE8Ejp.html" rel="bookmark" class="title">oracle 安装与SQLPLUS简单用法&lowbar;oracle</a>
					<div>
						一 安装oracle数据库成功之后,会显示相关的数据库信息: 全局数据库名:oracle 系统标识符(SID):oracle 服务器参数文件名:c:\oracle\product\10.2.0\db_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn64kp.html" rel="bookmark" class="title">WPF 点击后 实现拖动  鼠标右键结束拖动</a>
					<div>
						问题描述 现在接手一个项目,要求:改拖动交互,以前是把需要拖动的数据,按住鼠标左键拖动到指定的位置.现在需要单击后实现拖动,在需要放置的位置在单击下.由于业务逻辑很复杂,想在单击事件里面启动开始拖动, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKZq5z.html" rel="bookmark" class="title">利用大数据分析实现互联网精准营销</a>
					<div>
						走进位于贵阳国家高新区的Google AdWords贵州体验中心,硅谷式的办公氛围扑面而来.这是西南地区第一家Google体验中心,也是目前谷歌在华8大体验中心当中最大的一家,下设Adwords体验中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqyQJb.html" rel="bookmark" class="title">mprpc &mdash;&mdash; 高性能的 Python RPC 开发库</a>
					<div>
						mprpc 详细介绍mprpc 是一个轻量级的 MessagePack RPC 远程方法调用库.你可以用它来轻松构建一个分布式的服务器端系统,只需要少量代码,基于 gevent 和 MessagePa ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
